/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.farm;

import javax.swing.JComboBox;
import nl.cloudfarming.client.farm.model.FarmDetailsPanel;
import nl.cloudfarming.client.model.Address;
import nl.cloudfarming.client.model.IssuingAgency;
import org.openide.util.NbBundle.Messages;

/**
 *
 * @author Timon Veenstra
 */
@Messages({
    "farm.wizard.checkbox.create_fieldplan=Create a fieldplan for this Farm after wizard finishes."
})
public class FarmWizardDetailsVisual extends FarmDetailsPanel{
    protected JComboBox farmIssuingAgencyComboBox;

    
    /**
     * Creates new form FarmWizardDetailsVisual
     */
    FarmWizardDetailsVisual(Address adress) {
        super(new JComboBox(IssuingAgency.values()), adress);
        farmIssuingAgencyComboBox = (JComboBox) farmIssuingAgencyComponent;
        
        initComponents();
    }

    private void initComponents() {
        // the farm name will be the same as the projectname,
        // which was already entered and validated in the previous wizard step:
        farmNameTextField.setEditable(false);
    }
    
    public JComboBox getFarmIssuingComboBox(){
        return farmIssuingAgencyComboBox;
    }
    
    @Override
    public IssuingAgency getFarmIssuingAgency() {
        return (IssuingAgency) farmIssuingAgencyComboBox.getSelectedItem();
    }

    @Override
    public void setFarmIssuingAgency(IssuingAgency issuingAgency) {
        farmIssuingAgencyComboBox.setSelectedItem(issuingAgency);
    }
}
